req_lib_cmap_set Struct Reference

The req_lib_cmap_set struct. More...

`#include <ipc_cmap.h>`

## Public Member Functions

struct qb_ipc_request_header header | __attribute__ ((aligned(8)))
mar_name_t key_name | __attribute__ ((aligned(8)))
mar_size_t value_len | __attribute__ ((aligned(8)))
mar_uint8_t type | __attribute__ ((aligned(8)))
mar_uint8_t value[] | __attribute__ ((aligned(8)))

## Detailed Description

The req_lib_cmap_set struct.

Definition at line 83 of file ipc_cmap.h.

## Member Function Documentation

## __attribute__() [1/5]

mar_uint8_t value[] req_lib_cmap_set::__attribute__ | ( | (aligned(8)) |  | ) |

References value.

## __attribute__() [2/5]

mar_uint8_t type req_lib_cmap_set::__attribute__ | ( | (aligned(8)) |  | ) |

References type.

## __attribute__() [3/5]

mar_size_t value_len req_lib_cmap_set::__attribute__ | ( | (aligned(8)) |  | ) |

## __attribute__() [4/5]

mar_name_t key_name req_lib_cmap_set::__attribute__ | ( | (aligned(8)) |  | ) |

## __attribute__() [5/5]

struct qb_ipc_request_header header req_lib_cmap_set::__attribute__ | ( | (aligned(8)) |  | ) |

References __attribute__(), and header.

Referenced by __attribute__().

The documentation for this struct was generated from the following file:

- ipc_cmap.h